Skip to main content
Version: 2.3.0

Get list of document processes

Updated date: 18/08/2026
Updated by: VNPT eContract's team


Purpose​

The function retrieves a list of process templates created by the user or shared by other users.

  • Request URL: /api/process-templates
  • HTTP method: GET
  • Authorize: Bearer token
  • Parameter: Not required, but additional options can be added below to filter or search the list of process templates.
KeyTypeDescription
searchstringSearch information by document process name
pageintPage number (default is 1)
pagesizeintPage size (default is 10 records)

Sample request​

Query param:
page: 1
pageSize:10
search: Contract processing process
Request: /api/process-templates?page=1&pageSize=10&search=Contract processing process

Sample response body​

{
"data": {
"items": [
{
"id": 1109,
"name": "Contract processing process",
"createdDate": "2022-12-06T10:36:50.4321641",
"processInOrder": false,
"isPublic": true,
"createdByUser": {
"id": 2341,
"code": "trucnhan",
"name": "Truc Nhan",
"phone": "091938XXXX",
"email": "example@email.com"
},
"items": [
{
"accessPermission": {
"value": 2,
"description": "Sign draw"
},
"processedByUserId": 2341,
"processedByUser": {
"id": 2341,
"code": "trucnhan",
"name": "Truc Nhan",
"email": "example@email.com",
"phone": "091938XXXX"
}
}
]
}
],
"totalCount": 1,
"pageCount": 1,
"page": 1,
"pageSize": 10,
"hasNextPage": false,
"hasPreviousPage": false
},
"success": true,
"code": 0,
"messages": []
}

Response Body Description​

KeyTypeDescription
successbooleanResponse status (true: Success, false: Failure)
codeintResponse code from the system
messagesarrayList of messages or errors returned by the system
dataobjectObject containing the list of process templates and pagination information (see details below)

Details of data:​

KeyTypeDescription
itemsarrayList of process templates (Array[object]) (see details below)
totalCountintTotal number of records found
pageCountintTotal number of pages
pageintCurrent page
pageSizeintNumber of records per page
hasNextPagebooleanWhether there is a next page (true: Yes, false: No)
hasPreviousPagebooleanWhether there is a previous page (true: Yes, false: No)

Details of items:​

The list contains process template objects with the following properties for each element:

KeyTypeDescription
idintProcess template ID
namestringProcess template name
createdDatestringProcess template creation time (ISO 8601 format)
processInOrderbooleanSequential process configuration (true: Sequential processing, false: Non-sequential)
isPublicbooleanProcess template public status (true: Public/Shared, false: Private)
createdByUserobjectDetailed information about the user who created the process template:
{
    "id": "User ID",
    "code": "User code",
    "name": "User name",
    "phone": "Phone number",
    "email": "Email"
}
itemsarrayList of processing steps in the process (Array[object]) (see details below)

Details of process steps (items inside the process template):​

The list contains predefined processing steps in the process template with the following properties for each element:

KeyTypeDescription
accessPermissionobjectDocument processing permission: {"value": int, "description": string}
1: View only
2: Sign draw
3: Approve
4: Sign digital
5: Fill data
6: Coordinate
7: E-Sign
8: eKYC sign
processedByUserIdintID of the user responsible for processing at this step
processedByUserobjectDetailed information about the processing user:
{
    "id": "User ID",
    "code": "User code",
    "name": "User name",
    "phone": "Phone number",
    "email": "Email"
}